Subject: Re: [PATCH v4 1/2] t6400: preserve git ls-files exit status code

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Jun 2021 20:36:36 -0700

Eric Sunshine <[email-masked]> writes:

> I may be misunderstanding your suggestion, but isn't the proposed
> test_output_wc_l() function the same as what Danh had originally
> implemented several re-rolls back (though he named it
> test_line_count_cmd())?

Could be, except that I recall we saw extra noises like --out/--err
that weren't used and contaminating the current working directory,
which are gone from the latest iteration.  The simplification
compared to that iteration is quite welcome---it made the resulting
code that uses the helper easier to follow compared to the earlier
attempts.  But this round simplifies it too much and the results got
harder to follow by burying the command name in the helper and made
it less obvious that the last part of the helper's parameters are
arguments given to ls-files, I would think.